org.apache.geode.cache.query.data

## Class ProhibitedSecurityQuote

- java.lang.Object
- - org.apache.geode.cache.query.data.ProhibitedSecurityQuote

- All Implemented Interfaces:
    java.io.Serializable

      public class ProhibitedSecurityQuote
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `block_reason`
    `java.lang.String` | `cusip`
    `java.lang.String` | `dealer_code`
    `java.lang.String` | `distribution_channel`
    `protected int` | `i`
    `int` | `lower_qty`
    `java.lang.String` | `price_type`
    `int` | `prohibited_security_quote_id`
    `java.sql.Timestamp` | `sbs_timestamp`
    `java.lang.String` | `status`
    `protected java.lang.String[]` | `tempArr`
    `int` | `upper_qty`
    `java.lang.String` | `user_id`
    `java.lang.String` | `user_role`
    `java.lang.String` | `ycf_filter_name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProhibitedSecurityQuote(java.lang.String inputStr)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### prohibited_security_quote_id

          public int prohibited_security_quote_id

    - #### cusip

          public java.lang.String cusip

    - #### price_type

          public java.lang.String price_type

    - #### distribution_channel

          public java.lang.String distribution_channel

    - #### user_role

          public java.lang.String user_role

    - #### lower_qty

          public int lower_qty

    - #### upper_qty

          public int upper_qty

    - #### dealer_code

          public java.lang.String dealer_code

    - #### status

          public java.lang.String status

    - #### block_reason

          public java.lang.String block_reason

    - #### sbs_timestamp

          public java.sql.Timestamp sbs_timestamp

    - #### user_id

          public java.lang.String user_id

    - #### ycf_filter_name

          public java.lang.String ycf_filter_name

    - #### tempArr

          protected java.lang.String[] tempArr

    - #### i

          protected int i

  - ### Constructor Detail

    - #### ProhibitedSecurityQuote

          public ProhibitedSecurityQuote(java.lang.String inputStr)